For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notify Top Up

This API sends a Finpay Money top up notification to the partner system for successful transaction.

Technical Specification

Environment
Method
URL

Development

POST

define by merchant

Production

POST

define by merchant

Required Headers

No
Name
Type
Mandatory
Description

1

Accept

String

M

Expected response format. Usually application/json.

2

X-TIMESTAMP

String

M

Request timestamp in ISO8601 format. Example: 2024-04-17T12:03:38+07:00.

3

X-SIGNATURE

String

M

Asymmetric signature.

4

ORIGIN

String

M

Request origin domain. Example: www.yourdomain.com.

5

X-EXTERNAL-ID

String

M

Unique request ID. Maximum 32 characters.

6

X-PARTNER-ID

String

M

Partner ID provided by the system.

7

Content-Type

String

M

Request body format. Usually application/json.

Sample Header

Accept: application/json
X-TIMESTAMP: 2024-04-17T12:03:38+07:00
X-SIGNATURE: string_signature
ORIGIN: www.yourdomain.com
X-EXTERNAL-ID: 12345678901234567890123456789012
X-PARTNER-ID: FINPAY-PARTNER-ID
Content-Type: application/json

Body Request

No
Name
Type
Mandatory
Min Length
Max Length
Description

1

referenceNo

String

M

-

-

Unique transaction reference number.

2

phoneNo

String

M

-

-

User phone number in 628xxxx format.

3

transactionDate

String

M

-

-

Transaction date in ISO8601 format.

4

merchantId

String

M

-

-

Merchant ID.

5

amount

Object

M

-

-

Transaction amount detail.

6

amount.value

String

M

-

-

Transaction amount with 2 decimal digits.

7

amount.currency

String

M

-

-

Transaction currency. Example: IDR.

8

transactionDesc

String

O

-

-

Transaction description.

9

channel

String

M

-

-

Top up channel. Allowed values: vabri, vamandiri, vabca, pegadaian, posindo, alfamart.

Sample Request

Body Response

No
Name
Type
Mandatory
Min Length
Max Length
Description

1

responseCode

String

M

-

-

Response code from the system.

2

responseMessage

String

M

-

-

Response status description.

Sample Response

Last updated